Detalle de un ticket con sus comentarios públicos
curl --request GET \
--url https://api.raul.ugps.io/api/v1/internal/atlas-portal/clients/{atlasClientId}/tickets/{ticketId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.raul.ugps.io/api/v1/internal/atlas-portal/clients/{atlasClientId}/tickets/{ticketId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.raul.ugps.io/api/v1/internal/atlas-portal/clients/{atlasClientId}/tickets/{ticketId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"contractVersion": 1,
"ticket": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"status": {
"id": 1,
"name": "Abierto"
},
"category": "technical",
"authorName": "<string>",
"commentsCount": 1,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"closedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"comments": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ticketId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"authorName": "<string>",
"authorRole": "client",
"content": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
]
}
}{
"contractVersion": 1,
"code": "CLIENT_NOT_LINKED",
"message": "<string>"
}{
"contractVersion": 1,
"code": "CLIENT_NOT_LINKED",
"message": "<string>"
}Atlas portal
Detalle de un ticket con sus comentarios públicos
GET
/
api
/
v1
/
internal
/
atlas-portal
/
clients
/
{atlasClientId}
/
tickets
/
{ticketId}
Detalle de un ticket con sus comentarios públicos
Authorizations
Token de sesión Better Auth para rutas de backoffice; las rutas de portal usan su token propio.
Path Parameters
Id del client de Atlas (24 hex); se resuelve contra Client.atlas_client_id
Example:
"64f1c0ffee0ddba11ce55aa1"